- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxPropertyFlagsExt Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file fbxpropertypage.h.

`#include <fbxpropertypage.h>`

List of all members.

## Public Types
typedef FbxUInt32 | kFlagType
## Public Member Functions
| FbxPropertyFlagsExt (FbxPropertyAttr::EFlags pFlags)
| FbxPropertyFlagsExt ()
FbxPropertyFlagsExt | Clone (FbxPropertyPage *)
FbxPropertyFlagsExt & | operator= (const FbxPropertyFlagsExt &pOther)
bool | SetMask (FbxPropertyAttr::EFlags pFlags)
bool | UnsetMask (FbxPropertyAttr::EFlags pFlags)
FbxPropertyAttr::EFlags | GetMask () const
FbxPropertyAttr::EFlags | GetFlags () const
bool | ModifyFlags (FbxPropertyAttr::EFlags pFlags, bool pValue)
FbxPropertyAttr::EFlags | GetMergedFlags (FbxPropertyAttr::EFlags pFlags) const
FbxPropertyAttr::EInheritType | GetFlagsInheritType (FbxPropertyAttr::EFlags pFlags) const
| Retrieves the inheritance type of the flags of the property.
bool | SetFlags (FbxPropertyAttr::EFlags pMask, FbxPropertyAttr::EFlags pFlags)
| Sets specified flags with a specified mask and updates the mask.
bool | Equal (const FbxPropertyFlagsExt &pOther, FbxPropertyAttr::EFlags pFlags) const

## Member Typedef Documentation

typedef FbxUInt32 kFlagType

Search for all occurrences

Definition at line 60 of file fbxpropertypage.h.

## Constructor & Destructor Documentation

FbxPropertyFlagsExt | ( | FbxPropertyAttr::EFlags | pFlags | ) | `[inline, explicit]`

Definition at line 62 of file fbxpropertypage.h.

            :
        mFlagData(0)
        {
            ModifyFlags( pFlags, true );
        }

FbxPropertyFlagsExt | ( |  | ) | `[inline]`

Definition at line 69 of file fbxpropertypage.h.

                             :
            mFlagData(0)
        {
        }

## Member Function Documentation

FbxPropertyFlagsExt Clone | ( | FbxPropertyPage * |  | ) | `[inline]`

Search for all occurrences

Definition at line 75 of file fbxpropertypage.h.

        {
            return FbxPropertyFlagsExt();
        }

FbxPropertyFlagsExt& operator= | ( | const FbxPropertyFlagsExt & | pOther | ) | `[inline]`

Definition at line 80 of file fbxpropertypage.h.

    { mFlagData = pOther.mFlagData; return *this; }

bool SetMask | ( | FbxPropertyAttr::EFlags | pFlags | ) | `[inline]`

Search for all occurrences

Definition at line 82 of file fbxpropertypage.h.

        {
            kFlagType lTemp = pFlags << 16;
            mFlagData |= lTemp;
            return true;
        }

bool UnsetMask | ( | FbxPropertyAttr::EFlags | pFlags | ) | `[inline]`

Search for all occurrences

Definition at line 89 of file fbxpropertypage.h.

        {
            kFlagType lTemp = pFlags << 16;
            lTemp = ~lTemp;
            mFlagData &= lTemp;
            return true;
        }

FbxPropertyAttr::EFlags GetMask | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file fbxpropertypage.h.

    { return (FbxPropertyAttr::EFlags) (mFlagData >> 16); }

FbxPropertyAttr::EFlags GetFlags | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 99 of file fbxpropertypage.h.

    { return (FbxPropertyAttr::EFlags) (mFlagData & 0x0000FFFF); }

bool ModifyFlags | ( | FbxPropertyAttr::EFlags | pFlags,
|  | bool | pValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 101 of file fbxpropertypage.h.

        {
            kFlagType lFlags = pFlags & 0x0000FFFF;
            SetMask( (FbxPropertyAttr::EFlags)lFlags );
            mFlagData = pValue ? mFlagData | pFlags : mFlagData & ~pFlags;
            return true;
        }

FbxPropertyAttr::EFlags GetMergedFlags | ( | FbxPropertyAttr::EFlags | pFlags | ) | const `[inline]`

Search for all occurrences

Definition at line 109 of file fbxpropertypage.h.

        {
            kFlagType lTemp = (kFlagType)pFlags & ~(GetMask());     // zero out flags that we override
            return (FbxPropertyAttr::EFlags) (lTemp | GetFlags());                   // fill those flags with our values.
        }

FbxPropertyAttr::EInheritType GetFlagsInheritType | ( | FbxPropertyAttr::EFlags | pFlags | ) | const `[inline]`

Search for all occurrences

Retrieves the inheritance type of the flags of the property.

Use this method to determine if this property's flags is overridden from the default flags, or from the referenced object, if this object is a clone.

Parameters:

  pFlags | The specified flags

Returns:
  The inheritance type of the flags of the property.

Definition at line 121 of file fbxpropertypage.h.

        {
            // If some, but not all, of the flags are overridden this returns FbxPropertyAttr::eOverride
            return (GetMask() & pFlags) != 0 ? FbxPropertyAttr::eOverride : FbxPropertyAttr::eInherit;
        }

bool SetFlags | ( | FbxPropertyAttr::EFlags | pMask,
|  | FbxPropertyAttr::EFlags | pFlags
| ) |  | `[inline]`

Search for all occurrences

Sets specified flags with a specified mask and updates the mask.

Parameters:

  pMask | The specified mask
  pFlags | The specified flags

Returns:
  `true`

Definition at line 132 of file fbxpropertypage.h.

        {
            kFlagType lFlags = GetFlags() & ~pMask;     // zero out flags we are going to overwrite
            lFlags |= pFlags;                           // overwrite them
            lFlags &= 0x0000FFFF;                       // clear out the mask
            mFlagData &= 0xFFFF0000;                    // clear out the values (the values were saved in lFlags)
            mFlagData = mFlagData | lFlags;             // merge them
            return SetMask( pMask );                    // update the mask
        }

bool Equal | ( | const FbxPropertyFlagsExt & | pOther,
|  | FbxPropertyAttr::EFlags | pFlags
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 142 of file fbxpropertypage.h.

        {
            kFlagType lMyFlags = GetFlags() & pFlags;
            kFlagType lOthersFlags = pOther.GetFlags() & pFlags;
            return lMyFlags == lOthersFlags;
        }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertypage.h

FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt
FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt FbxPropertyFlagsExt